> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all Verified Numbers

> Gets a paginated list of Verified Numbers.



## OpenAPI

````yaml https://telnyx-openapi-ng.s3.us-east-1.amazonaws.com/real-time-communications/verified-numbers.yml get /verified_numbers
openapi: 3.1.0
info:
  title: Telnyx Verified Numbers API
  version: 2.0.0
  description: API for Verified numbers.
  contact:
    email: support@telnyx.com
servers:
  - url: https://api.telnyx.com/v2
security:
  - bearerAuth: []
paths:
  /verified_numbers:
    get:
      tags:
        - Verified Numbers
      summary: List all Verified Numbers
      description: Gets a paginated list of Verified Numbers.
      operationId: ListVerifiedNumbers
      parameters:
        - name: page
          in: query
          required: false
          style: deepObject
          explode: true
          description: >-
            Consolidated page parameter (deepObject style). Use page[size] and
            page[number] in the query string. Originally: page[size],
            page[number]
          schema:
            type: object
            properties:
              size:
                title: page[size]
                type: integer
                default: 25
              number:
                title: page[number]
                type: integer
                default: 1
      responses:
        '200':
          description: Expected response to a valid request.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListVerifiedNumbersResponse'
        '400':
          $ref: '#/components/responses/verified-numbers_GenericErrorResponse'
        '401':
          $ref: '#/components/responses/UnauthorizedRequestErrorResponse'
        '422':
          $ref: >-
            #/components/responses/verified-numbers_UnprocessableEntityErrorResponse
      x-codeSamples:
        - lang: JavaScript
          source: |-
            import Telnyx from 'telnyx';

            const client = new Telnyx({
              apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
            });

            // Automatically fetches more pages as needed.
            for await (const verifiedNumber of client.verifiedNumbers.list()) {
              console.log(verifiedNumber.phone_number);
            }
        - lang: Python
          source: |-
            import os
            from telnyx import Telnyx

            client = Telnyx(
                api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
            )
            page = client.verified_numbers.list()
            page = page.data[0]
            print(page.phone_number)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tpage, err := client.VerifiedNumbers.List(context.TODO(), telnyx.VerifiedNumberListParams{})\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", page)\n}\n"
        - lang: Java
          source: >-
            package com.telnyx.sdk.example;


            import com.telnyx.sdk.client.TelnyxClient;

            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;

            import com.telnyx.sdk.models.verifiednumbers.VerifiedNumberListPage;

            import
            com.telnyx.sdk.models.verifiednumbers.VerifiedNumberListParams;


            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    VerifiedNumberListPage page = client.verifiedNumbers().list();
                }
            }
        - lang: Ruby
          source: |-
            require "telnyx"

            telnyx = Telnyx::Client.new(api_key: "My API Key")

            page = telnyx.verified_numbers.list

            puts(page)
        - lang: PHP
          source: >-
            <?php


            require_once dirname(__DIR__) . '/vendor/autoload.php';


            use Telnyx\Client;

            use Telnyx\Core\Exceptions\APIException;


            $client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API
            Key');


            try {
              $page = $client->verifiedNumbers->list(pageNumber: 0, pageSize: 0);

              var_dump($page);
            } catch (APIException $e) {
              echo $e->getMessage();
            }
        - lang: CLI
          source: |-
            telnyx verified-numbers list \
              --api-key 'My API Key'
components:
  schemas:
    ListVerifiedNumbersResponse:
      title: ListVerifiedNumbersResponse
      description: A paginated list of Verified Numbers
      required:
        - data
        - meta
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/VerifiedNumberResponse'
        meta:
          $ref: '#/components/schemas/verified-numbers_Meta'
    VerifiedNumberResponse:
      title: VerifiedNumberResponse
      type: object
      properties:
        phone_number:
          example: '+15551234567'
          type: string
        record_type:
          $ref: '#/components/schemas/VerifiedNumberRecordType'
        verified_at:
          example: '2020-09-14T17:03:32.965812'
          type: string
    verified-numbers_Meta:
      type: object
      properties:
        total_pages:
          type: integer
          example: 3
        total_results:
          type: integer
          example: 55
        page_number:
          type: integer
          example: 2
        page_size:
          type: integer
          example: 25
    verified-numbers_Errors:
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/verified-numbers_Error'
      type: object
    VerifiedNumberRecordType:
      title: VerifiedNumberRecordType
      enum:
        - verified_number
      type: string
      example: verified_number
      description: The possible verified numbers record types.
    verified-numbers_Error:
      required:
        - code
        - title
      properties:
        code:
          type: string
        title:
          type: string
        detail:
          type: string
        source:
          type: object
          properties:
            pointer:
              description: JSON pointer (RFC6901) to the offending entity.
              type: string
            parameter:
              description: Indicates which query parameter caused the error.
              type: string
        meta:
          type: object
          properties:
            url:
              type: string
              description: URL with additional information on the error.
      type: object
  responses:
    verified-numbers_GenericErrorResponse:
      description: Bad Request
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/verified-numbers_Errors'
    UnauthorizedRequestErrorResponse:
      description: Unauthorized Request
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/verified-numbers_Errors'
    verified-numbers_UnprocessableEntityErrorResponse:
      description: Unprocessable Entity
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/verified-numbers_Errors'
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````